
Figure - Bug #118125
【IOVDEV-29503】【内部】【VC1】【0095】【台架】【EE环境】【副屏】副屏偶发一次白屏，并冻屏不可
操作
2023-05-22 11:22 - CDTS_TEST 王成

Status: CLOSED Start date:

Priority: Urgent Due date: 2023-06-05

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 冻屏 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0095.c103 

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-05-26

Test Type: ST Root cause:

Description

环境信息】EE环境

【问题出现时间】：20230519  17点16分（ 第150次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）

1.副屏从顶部下滑显示控制中心，有几分钟无操作

【实际结果】

未进行操作副屏却突然白屏，不响应任何操作。约2分钟后，之后显示控制中心界面，依然无法操作.约2分钟后恢复可以退出控制中心。

【期望结果】

副屏控制中心界面正常，无冻屏不可操作问题。

【备注】：

此问题出现一次，约2分钟后自行恢复。

车架号VIN：HRYTTESTVINMGM400

History

#1 - 2023-05-22 11:28 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118125/tlog_iov0201017500006162025411a2212290000000911_000150_0519181719.tar.gz

#2 - 2023-05-22 17:10 - CD SYSTEM-夏旭

1. 从测试结出的时间点，进行排查，初步发现了两个问题，

1. MicroService

2. launcher3

./logcat/000150_manual_00007_230519_171538.log:103:05-19 17:15:40.681  2075 17342 E MicroService: heart beat time out, current timeout cnt is 1

./logcat/000150_manual_00007_230519_171538.log:104:05-19 17:15:40.682  2075 17342 D MicroService: sendHeartbeatMessage

./logcat/000150_manual_00007_230519_171538.log:105:05-19 17:15:40.688  2075 17621 E MicroService: DTC_ETH: BaseMicroSocketClient:createClientSocket() 

./logcat/000150_manual_00007_230519_171538.log:106:05-19 17:15:40.688  2075 17621 E MicroService: java.net.ConnectException: failed to connect to /192.168.4.4 (port

9999) from /192.168.4.16 (port 48653): connect failed: ECONNREFUSED (Connection refused)

./logcat/000150_manual_00007_230519_171538.log:107:05-19 17:15:40.688  2075 17621 E MicroService:     at libcore.io.IoBridge.connect(IoBridge.java:188)
./logcat/000150_manual_00007_230519_171538.log:108:05-19 17:15:40.688  2075 17621 E MicroService:     at

java.net.PlainSocketImpl.socketConnect(PlainSocketImpl.java:142)

./logcat/000150_manual_00007_230519_171538.log:109:05-19 17:15:40.688  2075 17621 E MicroService:     at

java.net.AbstractPlainSocketImpl.doConnect(AbstractPlainSocketImpl.java:390)

./logcat/000150_manual_00007_230519_171538.log:110:05-19 17:15:40.688  2075 17621 E MicroService:     at

java.net.AbstractPlainSocketImpl.connectToAddress(AbstractPlainSocketImpl.java:230)

./logcat/000150_manual_00007_230519_171538.log:111:05-19 17:15:40.688  2075 17621 E MicroService:     at

java.net.AbstractPlainSocketImpl.connect(AbstractPlainSocketImpl.java:212)

./logcat/000150_manual_00007_230519_171538.log:112:05-19 17:15:40.688  2075 17621 E MicroService:     at java.net.SocksSocketImpl.connect(SocksSocketImpl.java:436)

./logcat/000150_manual_00007_230519_171538.log:113:05-19 17:15:40.688  2075 17621 E MicroService:     at java.net.Socket.connect(Socket.java:621)

./logcat/000150_manual_00007_230519_171538.log:114:05-19 17:15:40.688  2075 17621 E MicroService:     at java.net.Socket.connect(Socket.java:570)

./logcat/000150_manual_00007_230519_171538.log:115:05-19 17:15:40.688  2075 17621 E MicroService:     at java.net.Socket.<init>(Socket.java:450)

./logcat/000150_manual_00007_230519_171538.log:116:05-19 17:15:40.688  2075 17621 E MicroService:     at java.net.Socket.<init>(Socket.java:292)

./logcat/000150_manual_00007_230519_171538.log:117:05-19 17:15:40.688  2075 17621 E MicroService:     at

com.thundercomm.microservice.base.BaseMicroSocketClient.createClientSocket(BaseMicroSocketClient.java:20)

./logcat/000150_manual_00007_230519_171538.log:118:05-19 17:15:40.688  2075 17621 E MicroService:     at

com.thundercomm.microservice.MicroSocketClient.lambda$sendMessage$0$MicroSocketClient(MicroSocketClient.java:72)

./logcat/000150_manual_00007_230519_171538.log:119:05-19 17:15:40.688  2075 17621 E MicroService:     at

com.thundercomm.microservice.MicroSocketClient$$ExternalSyntheticLambda1.run(Unknown Source:4)

./logcat/000150_manual_00007_230519_171538.log:120:05-19 17:15:40.688  2075 17621 E MicroService:     at java.lang.Thread.run(Thread.java:920)

./logcat/000150_manual_00007_230519_171538.log:121:05-19 17:15:40.688  2075 17621 E MicroService: Caused by: android.system.ErrnoException: connect failed:

ECONNREFUSED (Connection refused)

./logcat/000150_manual_00007_230519_171538.log:122:05-19 17:15:40.688  2075 17621 E MicroService:     at libcore.io.Linux.connect(Native Method)

./logcat/000150_manual_00007_230519_171538.log:123:05-19 17:15:40.688  2075 17621 E MicroService:     at libcore.io.ForwardingOs.connect(ForwardingOs.java:204)

./logcat/000150_manual_00007_230519_171538.log:124:05-19 17:15:40.688  2075 17621 E MicroService:     at libcore.io.BlockGuardOs.connect(BlockGuardOs.java:157)

./logcat/000150_manual_00007_230519_171538.log:125:05-19 17:15:40.688  2075 17621 E MicroService:     at libcore.io.ForwardingOs.connect(ForwardingOs.java:204)

./logcat/000150_manual_00007_230519_171538.log:126:05-19 17:15:40.688  2075 17621 E MicroService:     at libcore.io.IoBridge.connectErrno(IoBridge.java:202)

./logcat/000150_manual_00007_230519_171538.log:127:05-19 17:15:40.688  2075 17621 E MicroService:     at libcore.io.IoBridge.connect(IoBridge.java:180)

./logcat/000150_manual_00007_230519_171538.log:128:05-19 17:15:40.688  2075 17621 E MicroService:     ... 13 more

./logcat/000150_manual_00007_230519_171538.log:129:05-19 17:15:40.775  4763 16214 D [render]: BulletEngineHandler::onLowFps(), fps(0.604512)

./logcat/000150_manual_00007_230519_171538.log:1481:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask: BaseModelUpdateTask constructor

./logcat/000150_manual_00007_230519_171538.log:1482:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask: java.lang.Exception

./logcat/000150_manual_00007_230519_171538.log:1483:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.model.BaseModelUpdateTask.<init>(BaseModelUpdateTask.java:57)

./logcat/000150_manual_00007_230519_171538.log:1484:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.model.PackageUpdatedTask.<init>(PackageUpdatedTask.java:88)

./logcat/000150_manual_00007_230519_171538.log:1485:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.LauncherModel.onPackageChanged(LauncherModel.java:156)

./logcat/000150_manual_00007_230519_171538.log:1486:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.LauncherModel.onAppIconChanged(LauncherModel.java:226)

./logcat/000150_manual_00007_230519_171538.log:1487:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.LauncherAppState$IconObserver.onAppIconChanged(LauncherAppState.java:206)

./logcat/000150_manual_00007_230519_171538.log:1488:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.icons.IconProvider$IconChangeReceiver.onReceive(IconProvider.java:371)

./logcat/000150_manual_00007_230519_171538.log:1489:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at

android.app.LoadedApk$ReceiverDispatcher$Args.lambda$getRunnable$0$LoadedApk$ReceiverDispatcher$Args(LoadedApk.java:1679)

./logcat/000150_manual_00007_230519_171538.log:1490:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at

android.app.LoadedApk$ReceiverDispatcher$Args$$ExternalSyntheticLambda0.run(Unknown Source:2)

./logcat/000150_manual_00007_230519_171538.log:1491:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at

android.os.Handler.handleCallback(Handler.java:938)

./logcat/000150_manual_00007_230519_171538.log:1492:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at

android.os.Handler.dispatchMessage(Handler.java:99)
./logcat/000150_manual_00007_230519_171538.log:1493:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at android.os.Looper.loopOnce(Looper.java:201)

./logcat/000150_manual_00007_230519_171538.log:1494:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at android.os.Looper.loop(Looper.java:288)

./logcat/000150_manual_00007_230519_171538.log:1495:05-19 17:16:01.014  2493  2580 D BaseModelUpdateTask:     at

android.os.HandlerThread.run(HandlerThread.java:67)

./logcat/000150_manual_00007_230519_171538.log:1496:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask: PackageUpdatedTask constructor:

op=2,user=UserHandle{0},packages=[com.android.calendar]

./logcat/000150_manual_00007_230519_171538.log:1497:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask: java.lang.Exception

./logcat/000150_manual_00007_230519_171538.log:1498:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at

com.android.launcher3.model.PackageUpdatedTask.<init>(PackageUpdatedTask.java:93)

./logcat/000150_manual_00007_230519_171538.log:1499:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at

com.android.launcher3.LauncherModel.onPackageChanged(LauncherModel.java:156)

./logcat/000150_manual_00007_230519_171538.log:1500:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at

com.android.launcher3.LauncherModel.onAppIconChanged(LauncherModel.java:226)

./logcat/000150_manual_00007_230519_171538.log:1501:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at

com.android.launcher3.LauncherAppState$IconObserver.onAppIconChanged(LauncherAppState.java:206)

./logcat/000150_manual_00007_230519_171538.log:1502:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at

com.android.launcher3.icons.IconProvider$IconChangeReceiver.onReceive(IconProvider.java:371)

./logcat/000150_manual_00007_230519_171538.log:1503:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at

android.app.LoadedApk$ReceiverDispatcher$Args.lambda$getRunnable$0$LoadedApk$ReceiverDispatcher$Args(LoadedApk.java:1679)

./logcat/000150_manual_00007_230519_171538.log:1504:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at

android.app.LoadedApk$ReceiverDispatcher$Args$$ExternalSyntheticLambda0.run(Unknown Source:2)

./logcat/000150_manual_00007_230519_171538.log:1505:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at

android.os.Handler.handleCallback(Handler.java:938)

./logcat/000150_manual_00007_230519_171538.log:1506:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at

android.os.Handler.dispatchMessage(Handler.java:99)

./logcat/000150_manual_00007_230519_171538.log:1507:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at android.os.Looper.loopOnce(Looper.java:201)

./logcat/000150_manual_00007_230519_171538.log:1508:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at android.os.Looper.loop(Looper.java:288)

./logcat/000150_manual_00007_230519_171538.log:1509:05-19 17:16:01.015  2493  2580 D PackageUpdatedTask:     at

android.os.HandlerThread.run(HandlerThread.java:67)

./logcat/000150_manual_00007_230519_171538.log:1510:05-19 17:16:01.016  1510  1632 I am_uid_active: 10097

./logcat/000150_manual_00007_230519_171538.log:1511:05-19 17:16:01.017  1510  1632 I am_uid_active: 10057

./logcat/000150_manual_00007_230519_171538.log:1512:05-19 17:16:01.017  2493  2580 D Launcher.IconCache: Package not found

./logcat/000150_manual_00007_230519_171538.log:1513:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:

android.content.pm.PackageManager$NameNotFoundException: com.android.calendar

./logcat/000150_manual_00007_230519_171538.log:1514:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

android.app.ApplicationPackageManager.getPackageInfoAsUser(ApplicationPackageManager.java:241)

./logcat/000150_manual_00007_230519_171538.log:1515:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

android.app.ApplicationPackageManager.getPackageInfo(ApplicationPackageManager.java:213)

./logcat/000150_manual_00007_230519_171538.log:1516:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

com.android.launcher3.icons.IconCache.updateIconsForPkg(IconCache.java:122)

./logcat/000150_manual_00007_230519_171538.log:1517:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

com.android.launcher3.model.PackageUpdatedTask.execute(PackageUpdatedTask.java:130)

./logcat/000150_manual_00007_230519_171538.log:1518:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

com.android.launcher3.model.BaseModelUpdateTask.run(BaseModelUpdateTask.java:80)

./logcat/000150_manual_00007_230519_171538.log:1519:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

com.android.launcher3.util.LooperExecutor.execute(LooperExecutor.java:45)

./logcat/000150_manual_00007_230519_171538.log:1520:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

com.android.launcher3.LauncherModel.enqueueModelUpdateTask(LauncherModel.java:555)

./logcat/000150_manual_00007_230519_171538.log:1521:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

com.android.launcher3.LauncherModel.onPackageChanged(LauncherModel.java:156)

./logcat/000150_manual_00007_230519_171538.log:1522:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

com.android.launcher3.LauncherModel.onAppIconChanged(LauncherModel.java:226)

./logcat/000150_manual_00007_230519_171538.log:1523:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at
com.android.launcher3.LauncherAppState$IconObserver.onAppIconChanged(LauncherAppState.java:206)

./logcat/000150_manual_00007_230519_171538.log:1524:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

com.android.launcher3.icons.IconProvider$IconChangeReceiver.onReceive(IconProvider.java:371)

./logcat/000150_manual_00007_230519_171538.log:1525:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

android.app.LoadedApk$ReceiverDispatcher$Args.lambda$getRunnable$0$LoadedApk$ReceiverDispatcher$Args(LoadedApk.java:1679)

./logcat/000150_manual_00007_230519_171538.log:1526:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

android.app.LoadedApk$ReceiverDispatcher$Args$$ExternalSyntheticLambda0.run(Unknown Source:2)

./logcat/000150_manual_00007_230519_171538.log:1527:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

android.os.Handler.handleCallback(Handler.java:938)

./logcat/000150_manual_00007_230519_171538.log:1528:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

android.os.Handler.dispatchMessage(Handler.java:99)

./logcat/000150_manual_00007_230519_171538.log:1529:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at android.os.Looper.loopOnce(Looper.java:201)

./logcat/000150_manual_00007_230519_171538.log:1530:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at android.os.Looper.loop(Looper.java:288)

./logcat/000150_manual_00007_230519_171538.log:1531:05-19 17:16:01.017  2493  2580 D Launcher.IconCache:     at

android.os.HandlerThread.run(HandlerThread.java:67)

./logcat/000150_manual_00007_230519_171538.log:1532:05-19 17:16:01.018  1510  1632 D CompatibilityInfo: mCompatibilityFlags - 4

./logcat/000150_manual_00007_230519_171538.log:1533:05-19 17:16:01.018  1510  1632 D CompatibilityInfo: applicationDensity - 240

./logcat/000150_manual_00007_230519_171538.log:1534:05-19 17:16:01.018  1510  1632 D CompatibilityInfo: applicationScale - 1.0

./logcat/000150_manual_00007_230519_171538.log:1535:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask: BaseModelUpdateTask constructor

./logcat/000150_manual_00007_230519_171538.log:1536:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask: java.lang.Exception

./logcat/000150_manual_00007_230519_171538.log:1537:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.model.BaseModelUpdateTask.<init>(BaseModelUpdateTask.java:57)

./logcat/000150_manual_00007_230519_171538.log:1538:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.LauncherModel$6.<init>(LauncherModel.java:605)

./logcat/000150_manual_00007_230519_171538.log:1539:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.LauncherModel.refreshAndBindWidgetsAndShortcuts(LauncherModel.java:605)

./logcat/000150_manual_00007_230519_171538.log:1540:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.Launcher.refreshAndBindWidgetsForPackageUser(Launcher.java:2862)

./logcat/000150_manual_00007_230519_171538.log:1541:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.model.PackageUpdatedTask.execute(PackageUpdatedTask.java:139)

./logcat/000150_manual_00007_230519_171538.log:1542:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.model.BaseModelUpdateTask.run(BaseModelUpdateTask.java:80)

./logcat/000150_manual_00007_230519_171538.log:1543:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.util.LooperExecutor.execute(LooperExecutor.java:45)

./logcat/000150_manual_00007_230519_171538.log:1544:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.LauncherModel.enqueueModelUpdateTask(LauncherModel.java:555)

./logcat/000150_manual_00007_230519_171538.log:1545:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.LauncherModel.onPackageChanged(LauncherModel.java:156)

./logcat/000150_manual_00007_230519_171538.log:1546:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.LauncherModel.onAppIconChanged(LauncherModel.java:226)

./logcat/000150_manual_00007_230519_171538.log:1547:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.LauncherAppState$IconObserver.onAppIconChanged(LauncherAppState.java:206)

./logcat/000150_manual_00007_230519_171538.log:1548:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

com.android.launcher3.icons.IconProvider$IconChangeReceiver.onReceive(IconProvider.java:371)

./logcat/000150_manual_00007_230519_171538.log:1549:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

android.app.LoadedApk$ReceiverDispatcher$Args.lambda$getRunnable$0$LoadedApk$ReceiverDispatcher$Args(LoadedApk.java:1679)

./logcat/000150_manual_00007_230519_171538.log:1550:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

android.app.LoadedApk$ReceiverDispatcher$Args$$ExternalSyntheticLambda0.run(Unknown Source:2)

./logcat/000150_manual_00007_230519_171538.log:1551:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

android.os.Handler.handleCallback(Handler.java:938)

./logcat/000150_manual_00007_230519_171538.log:1552:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

android.os.Handler.dispatchMessage(Handler.java:99)

./logcat/000150_manual_00007_230519_171538.log:1553:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at android.os.Looper.loopOnce(Looper.java:201)

2025-07-03 4/9



./logcat/000150_manual_00007_230519_171538.log:1554:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at android.os.Looper.loop(Looper.java:288)

./logcat/000150_manual_00007_230519_171538.log:1555:05-19 17:16:01.018  2493  2580 D BaseModelUpdateTask:     at

android.os.HandlerThread.run(HandlerThread.java:67)

./logcat/000150_manual_00007_230519_171538.log:1556:05-19 17:16:01.018  4731  4731 D TimeService: Receivedandroid.intent.action.TIME_SET intent. Current Time is

1684487761018

#3 - 2023-05-22 17:15 - CD SYSTEM-夏旭

- % Done changed from 0 to 10

#4 - 2023-05-23 21:03 - CD SYSTEM-夏旭

3.发现有显示模有报错，已经新建子票(18200)给相关owner确认是否有问题

./kernel/000150_kernel_00009_230519_171516.log.ing:433:05-19 17:17:10.432     0     0 E         : [drm:sde_sync_wait:51] [sde error]fence driver name:kgsl-timeline

timeline name:kgsl-3d0_9-ndroid.systemui(1864)-RenderThread(2122) seqno:0xcddf timeline:52702 queued:52704 retired:52702 signaled:0x0

./kernel/000150_kernel_00009_230519_171516.log.ing:434:05-19 17:17:10.432     0     0 E         : [drm:sde_plane_wait_input_fence:618] [sde error]plane91 9999ms

timeout on 6B67736C fd 35

./kernel/000150_kernel_00009_230519_171516.log.ing:435:05-19 17:17:10.432     0     0 E         : [drm:sde_fence_timeline_status:428] [sde error]drm obj:crtc id:125

type:0xcccccccc done_count:13287 commit_count:13288

./kernel/000150_kernel_00009_230519_171516.log.ing:436:05-19 17:17:10.432     0     0 E         : [drm:sde_fence_timeline_status:428] [sde error]drm obj:crtc id:177

type:0xcccccccc done_count:0 commit_count:0

./kernel/000150_kernel_00009_230519_171516.log.ing:437:05-19 17:17:10.432     0     0 E         : [drm:sde_fence_timeline_status:428] [sde error]drm obj:connector

id:29 type:0xc0c0c0c0 done_count:13287 commit_count:13288

./kernel/000150_kernel_00009_230519_171516.log.ing:438:05-19 17:17:10.432     0     0 E         : [drm:sde_fence_timeline_status:428] [sde error]drm obj:connector

id:46 type:0xc0c0c0c0 done_count:0 commit_count:0

./kernel/000150_kernel_00009_230519_171516.log.ing:439:05-19 17:17:10.432     0     0 E         : [drm:sde_sync_wait:51] [sde error]fence driver name:kgsl-timeline

timeline name:kgsl-3d0_9-ndroid.syst

#5 - 2023-05-23 21:34 - CDTS_TEST 王成

- Fixed Version set to 2023-05-26

#6 - 2023-05-24 10:19 - CDTS-TEST 周婷

- Category changed from SYSTEM to 冻屏

- Assignee changed from CD SYSTEM-夏旭 to CD BSP-余霄

#7 - 2023-05-24 17:01 - CD BSP-余霄

- Status changed from New to ASSIGNED

- Assignee changed from CD BSP-余霄 to CD SYSTEM-夏旭

高通DRM显示驱动相关报错，需高通帮忙解析分析

闪屏问题已提CASE给高通，冻屏问题，请再看一下

case:06642147

#8 - 2023-05-24 17:50 - 物联网项目组-RD3_CDTS 周飞

存在DRM报错，是高通的显示驱动，已提case给高通

#9 - 2023-05-24 21:20 - CDTS-TEST 周婷
- Assignee changed from CD SYSTEM-夏旭 to CD BSP-余霄

请给出分析结果

#10 - 2023-05-25 13:58 - CD BSP-余霄

高通LCD驱动 CASE回复为GPU问题

CASE已转接给高通GPU同事，暂未回复

#11 - 2023-05-25 16:21 - CD BSP-余霄

高通回复:=======================================================================================

请加上下面patch在出现wait fence timeout的时候触发crash.获取ramdump。上传对应版本的symblos.

同时在复现之前输入下面命令打开gpu和fence trace.

adb root

adb shell setenforce 0

adb remount

adb shell "echo > /sys/kernel/debug/tracing/set_event" 

adb shell "echo 0 > /sys/kernel/debug/tracing/tracing_on" 

adb shell "echo > /sys/kernel/debug/tracing/trace" 

adb shell "echo 40960 >/sys/kernel/debug/tracing/buffer_size_kb" 

adb shell "echo kgsl:* >> /sys/kernel/debug/tracing/set_event" 

adb shell "echo dma_fence:* >> /sys/kernel/debug/tracing/set_event" 

adb shell "echo 1 > /sys/kernel/debug/tracing/tracing_on"

=======================================================================================

链接正在提交，今天出VB版本

#12 - 2023-05-26 23:34 - CD BSP-余霄

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD BSP-余霄 to CDTS_TEST 王成

HI 王成

VB版本

ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230526/202305261932-4019/FlatBuild_HH_MCE_FSE.M.D.userdebug.0

1.00.C103%28X103%29.202305261932.zip

请在复现该bug前输入一下指令:

adb root

adb shell setenforce 0

adb remount

adb shell "echo > /sys/kernel/debug/tracing/set_event" 

adb shell "echo 0 > /sys/kernel/debug/tracing/tracing_on" 
adb shell "echo > /sys/kernel/debug/tracing/trace" 

adb shell "echo 40960 >/sys/kernel/debug/tracing/buffer_size_kb" 

adb shell "echo kgsl:* >> /sys/kernel/debug/tracing/set_event" 

adb shell "echo dma_fence:* >> /sys/kernel/debug/tracing/set_event" 

adb shell "echo 1 > /sys/kernel/debug/tracing/tracing_on"

如果成功复现，设备会进入dump界面，同时请让系统同事帮忙解析dump

#13 - 2023-05-27 14:17 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 移动测试一组_CDTS 刘强

麻烦使用VB验证一下问题

#14 - 2023-05-30 12:21 - CD TPM-王祥林

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD SYSTEM-夏旭

请看一下复现的时间点，是否有touch事件，是否有其他ANR导致冻屏。

#15 - 2023-05-30 19:34 - CD SYSTEM-夏旭

- Assignee changed from CD SYSTEM-夏旭 to CDTS_TEST 王成

1. kernel log异常

高通case:06642147

这个高通回复的是GPU问题  但是日志不够  出了VB给测试在验证了

./tlog_iov_000150_0519181719/17-17.log:159:./logcat/000150_manual_00010_230519_171629.log:1411:05-19 17:17:03.042   914  1075 E Fence   : waitForever: : fence 146

didn't signal in 3000 ms

./tlog_iov_000150_0519181719/17-17.log:160:./logcat/000150_manual_00010_230519_171629.log:1412:05-19 17:17:03.042   914  1075 E Fence   :  ----- Printing sync-points

under fence fd:146 status:0 name:kgsl-timeline-kgsl-3d0_5-surfac -----

./tlog_iov_000150_0519181719/17-17.log:161:./logcat/000150_manual_00010_230519_171629.log:1413:05-19 17:17:03.042   914  1075 E Fence   : status:0

driver:kgsl-timeline obj:kgsl-3d0_5-surfaceflinger(914)-

./tlog_iov_000150_0519181719/17-17.log:162:./logcat/000150_manual_00010_230519_171629.log:1414:05-19 17:17:03.042   914  1075 I Fence   : waitForever:

fence(kgsl-timeline-kgsl-3d0_5-surfac) status(0)

./tlog_iov_000150_0519181719/17-17.log:163:./logcat/000150_manual_00010_230519_171629.log:1415:05-19 17:17:03.042   914  1075 I Fence   : waitForever: sync point:

timeline(kgsl-3d0_5-surfaceflinger(914)-) drv(kgsl-timeline)

2. 未发现其他ANR导致冻屏的log

3 .请测试复现 

  王成请复现一下，谢谢

#16 - 2023-05-31 16:16 - CDTS-TEST 周婷

- Due date set to 2023-06-05
#17 - 2023-06-01 16:31 - SZTS_TEST 邹涛

测试20次未复现

#18 - 2023-06-05 16:19 - SZTS_TEST 邹涛

在C103版本复测50测未复现

#19 - 2023-06-05 19:22 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现

#20 - 2023-06-07 19:22 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测30次未复现

#21 - 2023-06-08 12:59 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测30次未复现

#22 - 2023-06-09 11:36 - SZTS_TEST 邹涛

在 FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现

#23 - 2023-06-12 13:02 - SZTS_TEST 邹涛

在 FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现

#24 - 2023-06-14 13:10 - SZTS_TEST 邹涛

在 FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现

#25 - 2023-06-15 19:31 - SZTS_TEST 邹涛

在 FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现

#26 - 2023-06-19 16:33 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现

#27 - 2023-06-20 16:05 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现
#28 - 2023-06-21 17:10 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现

#29 - 2023-06-25 18:09 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现

#30 - 2023-06-27 11:26 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现

#31 - 2023-06-28 16:05 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现

#32 - 2023-06-30 14:09 - SZTS_TEST 邹涛

FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C103.202305261932版本复测20次未复现

#33 - 2023-07-11 16:25 - CDTS_TEST 王成

- Status changed from ASSIGNED to RESOLVED

客户反馈：多版本未复现，关闭BUG

#34 - 2023-07-11 16:25 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#35 - 2023-07-11 16:25 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED
